org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class WriteTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.WriteTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.WriteTest.Traversals

- Enclosing class:
    WriteTest

      public static class WriteTest.Traversals
      extends WriteTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.WriteTest

      `WriteTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Object,Object>` | `get_g_io_write_withXwriter_graphmlX(String fileToWrite)`
    `Traversal<Object,Object>` | `get_g_io_write_withXwriter_graphsonX(String fileToWrite)`
    `Traversal<Object,Object>` | `get_g_io_write_withXwriter_gryoX(String fileToWrite)`
    `Traversal<Object,Object>` | `get_g_io_writeXjsonX(String fileToWrite)`
    `Traversal<Object,Object>` | `get_g_io_writeXkryoX(String fileToWrite)`
    `Traversal<Object,Object>` | `get_g_io_writeXxmlX(String fileToWrite)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.WriteTest

      `g_io_write_withXwrite_gryoX, g_io_write_withXwriter_graphmlX, g_io_write_withXwriter_graphsonX, g_io_writeXjsonX, g_io_writeXkryoX, g_io_writeXxmlX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_io_writeXkryoX

          public Traversal<Object,Object> get_g_io_writeXkryoX(String fileToWrite)
                                                        throws IOException

      Specified by:
        `get_g_io_writeXkryoX` in class `WriteTest`
      Throws:
        `IOException`

    - #### get_g_io_write_withXwriter_gryoX

          public Traversal<Object,Object> get_g_io_write_withXwriter_gryoX(String fileToWrite)
                                                                    throws IOException

      Specified by:
        `get_g_io_write_withXwriter_gryoX` in class `WriteTest`
      Throws:
        `IOException`

    - #### get_g_io_writeXjsonX

          public Traversal<Object,Object> get_g_io_writeXjsonX(String fileToWrite)
                                                        throws IOException

      Specified by:
        `get_g_io_writeXjsonX` in class `WriteTest`
      Throws:
        `IOException`

    - #### get_g_io_write_withXwriter_graphsonX

          public Traversal<Object,Object> get_g_io_write_withXwriter_graphsonX(String fileToWrite)
                                                                        throws IOException

      Specified by:
        `get_g_io_write_withXwriter_graphsonX` in class `WriteTest`
      Throws:
        `IOException`

    - #### get_g_io_writeXxmlX

          public Traversal<Object,Object> get_g_io_writeXxmlX(String fileToWrite)
                                                       throws IOException

      Specified by:
        `get_g_io_writeXxmlX` in class `WriteTest`
      Throws:
        `IOException`

    - #### get_g_io_write_withXwriter_graphmlX

          public Traversal<Object,Object> get_g_io_write_withXwriter_graphmlX(String fileToWrite)
                                                                       throws IOException

      Specified by:
        `get_g_io_write_withXwriter_graphmlX` in class `WriteTest`
      Throws:
        `IOException`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.